-1

There does not seem to be a prebuilt HHVM package available for Ubuntu 16.04. It seems in Xenial that they have added HHVM to the universal repos, but installing it that way does not include the install_fastcgi.sh script that was present for previous Ubuntu distros. Does anyone know how to install HHVM on 16.04 in a way that includes that script? Thanks.

  • It seems like the HHVM team might just not have prebuilts available yet for Xenial per this issue. – Collin Barrett May 25 '16 at 11:24
0

yeah, this worked for me:

  1. sudo apt update && apt upgrade | sudo apt-get autoclean && sudo apt-get autoremove

  2. add to your /etc/apt/sources.list

    deb http://dl.hhvm.com/ubuntu xenial main
    
  3. sudo apt update && sudo apt-get install -y hhvm

this should bring you to hhvm 3.14 which is current

then run the script which will be available on the install credits.

  • this works! thanks! prebuilt package is now available, but HHVM docs have yet to be updated. – Collin Barrett Jun 26 '16 at 14:34

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.